@echo off
rem 测试运行环境，不要修改
if /i not "%OS%"=="Windows_NT" (
	echo 不支持 Windows 9x, 退出运行...
	exit
)
verify other 2>nul
setlocal enableextensions
if errorlevel 1 (
	echo 不能启用命令扩展，退出运行...
	exit
)

pushd %~dp0


rem #### 下面是设置项 #######################################

rem 1.要排除的国家代码；2.要通过的代理；3.要更新的 torrc 路径

rem #### 1.设置需要排除的国家代码
set xxx=cn hk sg pk

rem #### 2.设置要通过的代理

	rem 2.0 不用代理（这个参数用来占位而已，要看 curl 详细连接过程可用 -v）
	rem set proxy=-N

	rem 2.1 通过 http 代理（自由门）
set proxy=-x 127.0.0.1:8118

	rem 2.3 若设置 socks 代理
        rem set proxy=--socks5 127.0.0.1:9050

rem #### 设置要更新的 torrc 完全路径
rem set torrc="%UserProfile%\Application Data\Tor\torrc" "%ProgramFiles%\Tor\torrc"

rem 默认会更新脚本所在目录下的 torrc, 故可将脚本放在 torrc 相同目录运行。


rem #### 下面的不要动 ######################################

if exist torrc.new del /q torrc.new >nul 
echo 开始下载 Tor 节点服务器信息...
echo.
call fetch %proxy% >exit.tmp

rem 过滤出可疑节点
call found exit.tmp %xxx% >found.tmp

rem 维护排除节点文件
call xnode found.tmp

rem 更新 torrc 文件
if exist torrc.new del /q torrc.new >nul 
call torrc xnode.ini %torrc%
rem if exist *.tmp del /q *.tmp

if exist torrc.new (
  del /q torrc.new
  echo 正在从新加载 torrc.........
  curl telnet://127.0.0.1:9051 <TorReload.txt
)

popd
